MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028741Open CASCADE[OCCT] OCCT:Visualizationpublic2017-05-15 15:072017-09-29 16:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028741: Visualization, TKOpenGl - eliminate GL errors within Core Profile in OpenGl_View::copyBackToFront()
DescriptionOpenGl_View::copyBackToFront() has no OpenGL version checks leading to GL errors when called within Core Profile:

14:17 TKOpenGl.OpenGL | Type: Error | ID: 3203 | Severity: High | Message:
        glPixelTransferi has been removed from OpenGL Core context (GL_INVALID_OPERATION)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3200 | Severity: High | Message:
        Using glDisable in a Core context with parameter <cap> and enum '0xde1' which was removed 
from Core OpenGL (GL_INVALID_ENUM)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3200 | Severity: High | Message:
        Using glDisable in a Core context with parameter <cap> and enum '0xb50' which was removed 
from Core OpenGL (GL_INVALID_ENUM)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3200 | Severity: High | Message:
        Using glDisable in a Core context with parameter <cap> and enum '0xbc0' which was removed 
from Core OpenGL (GL_INVALID_ENUM)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3200 | Severity: High | Message:
        Using glDisable in a Core context with parameter <cap> and enum '0xb60' which was removed 
from Core OpenGL (GL_INVALID_ENUM)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3200 | Severity: High | Message:
        Using glDisable in a Core context with parameter <cap> and enum '0xbf1' which was removed 
from Core OpenGL (GL_INVALID_ENUM)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3200 | Severity: High | Message:
        Using glDisable in a Core context with parameter <cap> and enum '0xde0' which was removed 
from Core OpenGL (GL_INVALID_ENUM)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3203 | Severity: High | Message:
        glPixelTransferi has been removed from OpenGL Core context (GL_INVALID_OPERATION)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3203 | Severity: High | Message:
        glPixelTransferi has been removed from OpenGL Core context (GL_INVALID_OPERATION)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3203 | Severity: High | Message:
        glPixelTransferi has been removed from OpenGL Core context (GL_INVALID_OPERATION)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3203 | Severity: High | Message:
        glPixelTransferi has been removed from OpenGL Core context (GL_INVALID_OPERATION)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3203 | Severity: High | Message:
        glPixelTransferi has been removed from OpenGL Core context (GL_INVALID_OPERATION)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3203 | Severity: High | Message:
        glPixelTransferi has been removed from OpenGL Core context (GL_INVALID_OPERATION)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3203 | Severity: High | Message:
        glPixelTransferi has been removed from OpenGL Core context (GL_INVALID_OPERATION)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3203 | Severity: High | Message:
        glPixelTransferi has been removed from OpenGL Core context (GL_INVALID_OPERATION)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3203 | Severity: High | Message:
        glPixelTransferi has been removed from OpenGL Core context (GL_INVALID_OPERATION)
14:17 TKOpenGl.OpenGL | Type: Error | ID: 3203 | Severity: High | Message:
        glRasterPos2i has been removed from OpenGL Core context (GL_INVALID_OPERATION)
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024838newkgv Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 

-  Notes
(0066088)
git (administrator)
2017-05-15 16:08

Branch CR28741 has been created by kgv.

SHA-1: acf8ad61be1a05d582a76ac1751e5461e7911cc5


Detailed log of new commits:

Author: akz
Date: Thu May 11 13:52:18 2017 +0300

    0028741: Visualization, TKOpenGl - eliminate GL errors within Core Profile in OpenGl_View::copyBackToFront()
(0066089)
git (administrator)
2017-05-15 16:11

Branch CR28741 has been updated forcibly by kgv.

SHA-1: 9757e855f88c0fdf71aa1063f8f96e57c2a6e5c1
(0066090)
kgv (developer)
2017-05-15 16:11

Please test the patch.
(0066139)
apv (tester)
2017-05-16 13:32

Dear BugMaster,

Branch CR28741 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 9757e855f88c0fdf71aa1063f8f96e57c2a6e5c1

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1184

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92214361 / 91781859 [+0.47%]
Total CPU difference: 18689.96000000032 / 18651.72000000036 [+0.21%]

Testing on Windows:
Total MEMORY difference: 58426470 / 58426407 [+0.00%]
Total CPU difference: 17334.721919298612 / 17338.309942298663 [-0.02%]
(0066776)
git (administrator)
2017-05-29 16:06

Branch CR28741 has been deleted by kgv.

SHA-1: 9757e855f88c0fdf71aa1063f8f96e57c2a6e5c1

- Related Changesets
occt: master a0b49de4
Timestamp: 2017-05-11 10:52:18
Author: akz
Committer: bugmaster
Details ] Diff ]
0028741: Visualization, TKOpenGl - eliminate GL errors within Core Profile in OpenGl_View::copyBackToFront()
mod - src/D3DHost/D3DHost_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-15 15:07 kgv New Issue
2017-05-15 15:07 kgv Assigned To => kgv
2017-05-15 15:08 kgv Relationship added child of 0024838
2017-05-15 15:08 kgv Description Updated View Revisions
2017-05-15 16:08 git Note Added: 0066088
2017-05-15 16:11 git Note Added: 0066089
2017-05-15 16:11 kgv Note Added: 0066090
2017-05-15 16:11 kgv Assigned To kgv => bugmaster
2017-05-15 16:11 kgv Severity minor => trivial
2017-05-15 16:11 kgv Status new => resolved
2017-05-15 16:12 kgv Status resolved => reviewed
2017-05-15 16:50 apv Assigned To bugmaster => apv
2017-05-16 13:30 apv Test case number => Not needed
2017-05-16 13:32 apv Note Added: 0066139
2017-05-16 13:32 apv Assigned To apv => bugmaster
2017-05-16 13:32 apv Status reviewed => tested
2017-05-19 13:25 bugmaster Changeset attached => occt master a0b49de4
2017-05-19 13:25 bugmaster Status tested => verified
2017-05-19 13:25 bugmaster Resolution open => fixed
2017-05-29 16:06 git Note Added: 0066776
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker